import { View, Text } from 'react-native'
import React from 'react'
import BasementC from './MainMapComponent/images/BasementC.svg'
import FirstFloorC from './MainMapComponent/images/FirstFloorC.svg'
import SecondFloorC from './MainMapComponent/images/SecondFloorC.svg'
import ThirdFloorC from './MainMapComponent/images/ThirdFloorC.svg'
import FourthFloorC from './MainMapComponent/images/FourthFloorC.svg'
import FifthFloorC from './MainMapComponent/images/FifthFloorC.svg'

// export const IndoorFloor: React.FC<{floorNum: number}> = (props) => {
function IndoorFloor(props) {
  const compArray = [
      <BasementC style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
      <FirstFloorC style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
      <SecondFloorC style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
      <ThirdFloorC viewBox='250 136 310 310' style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
      <FourthFloorC viewBox='260 151 270 260' style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
      <FifthFloorC viewBox='257 153 270 290' style={{ opacity: 0.7 }} height={"100%"} width={"100%"} />,
  ]

  return compArray[props.floorNum]
}

export default IndoorFloor