import { View, Text, TouchableOpacity, StyleSheet } from 'react-native'
import React from 'react'
import { FontAwesome } from "@expo/vector-icons";
import { colors } from "../../../../utils/GlobalUtils";



export default function TouchOpaq(props) {
    return (
        <View style={styles.container}>
            <TouchableOpacity style={styles.button} onPress={props.func}>
                <FontAwesome 
                color={props.col} 
                size={props.size} 
                name={props.name} />
            </TouchableOpacity>
        </View>
        )
}



const styles = StyleSheet.create({
    container: {
        flex: 1,
        flexDirection: "column",
        justifyContent: "center",
        // paddingHorizontal: 10
        backgroundColor: "#e38484",
        maxWidth: 30,
        alignItems: "stretch",
        borderRadius: 20,
        marginRight: 3,
    },
    button: {
        backgroundColor: colors.red,
        alignItems: "center",

    },
})